// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import Qt.labs.folderlistmodel 1.0

Rectangle {
    id: rectOpenFile
    anchors.fill: parent
    color: "transparent"
    visible: false

    function addMusicFile(filename, path){
        folderModel.append({
                               "filename": filename,
                               "path": path
                          })
        listView.currentIndex = -1
    }

    Rectangle{
        id: background
        anchors.fill: parent
        color: "grey"
        opacity: 0.5
        visible: true
    }

    MouseArea{
        id: mouseEnd
        anchors.fill: parent
        onClicked: rectOpenFile.visible = false
    }

    Rectangle{
        id: rectBack
        radius: 50
        border.color: "#ff6600"
        border.width: 3
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.leftMargin: (parent.width - rectBack.width) / 2
        anchors.topMargin: 70
        height: 750
        width: 450
        color: "black"

        ListModel {
            id: folderModel
            /*ListElement {
                path: "c:/hh.mp3"
                filename: "hh.mp3"
            }
            ListElement {
                path: "c:/ss.mp3"
                filename: "ss.mp3"
            }
            ListElement {
                path: "c:/tsadsadfsadfsdf.mp3"
                filename: "tsadsadfsadfsdf.mp3"
            }
            ListElement {
                path: "c:/hh.mp3"
                filename: "hh.mp3"
            }
            ListElement {
                path: "c:/ss.mp3"
                filename: "ss.mp3"
            }
            ListElement {
                path: "c:/tsadsadfsadfsdf.mp3"
                filename: "tsadsadfsadfsdf.mp3"
            }
            ListElement {
                path: "c:/hh.mp3"
                filename: "hh.mp3"
            }
            ListElement {
                path: "c:/ss.mp3"
                filename: "ss.mp3"
            }
            ListElement {
                path: "c:/tsadsadfsadfsdf.mp3"
                filename: "tsadsadfsadfsdf.mp3"
            }
            ListElement {
                path: "c:/hh.mp3"
                filename: "hh.mp3"
            }*/
        }

        // The delegate for each fruit in the model:
        Component {
            id: listDelegate
            Item {
                id: delegateItem
                width: listView.width; height: 60

                function getPath()
                {
                    return path
                }

                MouseArea{
                    id: itemClick
                    anchors.fill: parent

                    onClicked: {
                        //listView.currentIndex = index
                        if (vibration) shortFeedback.start()
                        //editTrainingScreen.rest_seconds = rest_sec
                        //editTrainingScreen.train_seconds = training_sec
                        //editTrainingScreen.lapsCountNew = laps
                        //rectSetup.newTraining = false
                        //rectSetup.currentTraining = index
                        //rectSetup.state = "editTraining"
                        //editIndex = index
                        onSetFileName(path)
                        /*while(soundStart.status == 3){
                            console.log("nothing")
                        }*/
                        rectOpenFile.visible = false
                        onSaveSettings()
                        console.log("training clicked");
                    }

                    onPressed: {
                        listView.currentIndex = index
                    }
                    onCanceled: listView.currentIndex = -1
                    onReleased: listView.currentIndex = -1
                }
                //Column{
                Item{
                    id: icon
                    width: parent.width
                    anchors.left: parent.left
                    anchors.top: parent.top
                    Rectangle{
                        id: rectSeparator
                        color: "grey"
                        width: parent.width
                        height: 2
                        anchors.bottom: parent.bottom
                        anchors.left: parent.left
                    }

                    Image{
                        id: noteIcon
                        anchors.top: parent.top
                        anchors.left: parent.left
                        anchors.topMargin: 7
                        //anchors.verticalCenter: parent.verticalCenter
                        source: "qrc:/images/note.png"
                    }

                    Text{
                        id: textFilename
                        text: filename
                        color: "white"
                        font.pixelSize: 20
                        anchors.topMargin: 10
                        anchors.left: noteIcon.right
                        anchors.top: noteIcon.top
                        width: parent.width - noteIcon.width - 30
                        elide: Text.ElideRight
                        //anchors.verticalCenter: parent.verticalCenter
                    }
                }
                // Animate adding and removing of items:

                ListView.onAdd: SequentialAnimation {
                    PropertyAction { target: delegateItem; property: "height"; value: 0 }
                    NumberAnimation { target: delegateItem; property: "height"; to: 55; duration: 250; easing.type: Easing.InOutQuad }
                    //PropertyAction { target: listView; property: "currentIndex"; value: -1 }
                }

                ListView.onRemove: SequentialAnimation {
                    id: removeAnimation
                    PropertyAction { target: delegateItem; property: "ListView.delayRemove"; value: true }
                    NumberAnimation { target: delegateItem; property: "height"; to: 0; duration: 250; easing.type: Easing.InOutQuad }

                    // Make sure delayRemove is set back to false so that the item can be destroyed
                    PropertyAction { target: delegateItem; property: "ListView.delayRemove"; value: false }
                }
            }
        }

        property bool empty: false

        // The view:
        ListView {
            id: listView
            anchors.left: parent.left
            anchors.top: parent.top
            anchors.topMargin: 80
            height: parent.height - 200
            width: parent.width
            //anchors.fill: parent; //anchors.margins: 20
            model: folderModel
            delegate: listDelegate
            highlight: Rectangle{color: "#89d7ff"; opacity: 0.5; radius: 5}
            spacing: 1
            clip: true
            ScrollBar{
                flickable: listView
                vertical: true;
            }

        }

        Image{
            id: buttonBack
            source: "qrc:/images/button.png"
            anchors.left: parent.left
            anchors.leftMargin: (parent.width - buttonBack.width) / 2
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 5
            MouseArea{
                id: mouseBack
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: parent.opacity = 1
                onClicked: {
                    if (vibration) shortFeedback.start()
                    rectOpenFile.visible = false
                }
            }
            Text{
                id: textBack
                text: backString
                anchors.centerIn: parent
                font.pixelSize: 25
                font.bold: true
                font.family: "Arial"
                color: "black"
            }
        }

        Text {
            id: textTitle
            text: titleString
            color: "white"
            font.pixelSize: 25
            anchors.top: parent.top
            anchors.left: parent.left
            anchors.leftMargin: (parent.width - textTitle.width) / 2
            anchors.topMargin: 10
        }

    }

    /*ListView {
        id: listView
        anchors.fill: parent
        z: 8

        FolderListModel {
            id: folderModel
            nameFilters: ["*.qml"]
        }

        Component {
            id: fileDelegate

            Item {
                height: 40;
                width: parent.width
                Text {
                    text: fileName;
                    color: "yellow";
                    font.pixelSize: 30
                }
                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                        folderModel.folder = fileName
                        listView.
                        console.log(fileName)

                    }
                }
            }
            //Rectangle {color: "yellow"; anchors.fill: parent}
            //onCompleted: console.log("hehe")
        }

        model: folderModel
        delegate: fileDelegate
    }*/

}
