// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import QtMobility.feedback 1.1

Rectangle {
    id: rectOptions
    anchors.fill: parent
    visible: false
    color: "transparent"

    function hideSelect()
    {
        selectLanguage.visible = false
        selectSound.visible = false
    }

    //property int volumeLevel: 5

    Text{
        id: textLanguage
        text: languageString
        anchors.right: languageBorder.left
        anchors.rightMargin: 20
        anchors.top: languageBorder.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image{
        id: languageBorder
        source: "qrc:/images/laps_backgorund_border.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 20
        anchors.leftMargin: 190
        Text{
            id: textLanguageInner
            text: language
            color: "white"
            anchors.centerIn: parent
            //width: parent.width - 10
            font.pixelSize: 25
        }
        MouseArea{
            id: mouseLanguage
            anchors.fill: parent
            onClicked: {
                if (vibration) shortFeedback.start()
                selectLanguage.visible = true
            }
        }
    }

    Text{
        id: textVolume
        text: volumeString
        anchors.right: volumeBorder.left
        anchors.rightMargin: 20
        anchors.top: volumeBorder.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image {
        id: volumeBorder
        source: "qrc:/images/laps_backgorund_border.png"
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: 190
        anchors.topMargin: 100
        Image {
            id: volumeBorderBack
            source: "qrc:/images/laps_backgorund_border.png"
            anchors.fill: parent
            z: volumePlus.z + 1
        }
        Image{
            id: volumePlus
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            MouseArea{
                id: mousePlusVolume
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                /*onReleased: {
                    changeVolumeInc.stop()
                    parent.opacity = 1
                    soundStart.stop()
                    soundStart.source = soundPath
                    soundStart.autoLoad = soundPath
                    onSaveSettings()
                    //console.log(Qt.fontFamilies())
                }
                onPressAndHold: changeVolumeInc.start()*/
                onReleased: {
                    parent.opacity = 1
                }
                onClicked: {
                    if (vibration) shortFeedback.start()
                    soundVolume++
                    soundStart.stop()
                    soundStart.source = soundPath
                    soundStart.autoLoad = soundPath
                    onSaveSettings()
                }

            }
        }
        Image{
            id: volumeMinus
            source: "qrc:/images/laps_minus_radius.png"
            anchors.left: parent.left
            anchors.top: parent.top
            MouseArea{
                id: mouseMinusVolume
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                /*onReleased: {
                    changeVolumeDec.stop()
                    parent.opacity = 1
                    soundStart.stop()
                    soundStart.source = soundPath
                    soundStart.autoLoad = soundPath
                    onSaveSettings()
                }
                onPressAndHold: changeVolumeDec.start()*/
                onReleased: {
                    parent.opacity = 1
                }
                onClicked: {
                    if (vibration) shortFeedback.start()
                    soundVolume--
                    soundStart.stop()
                    soundStart.source = soundPath
                    soundStart.autoLoad = soundPath
                    onSaveSettings()
                }
            }
        }
        Text {
            id: textVolumeLevel
            text: soundVolume
            anchors.centerIn: parent
            color: "white"
            font.bold: true
            font.pixelSize: 30
            onTextChanged: {
                //console.debug(lapsCountNew)
                if (soundVolume >= 10) mousePlusVolume.enabled = false
                else mousePlusVolume.enabled = true

                if (soundVolume < 1) mouseMinusVolume.enabled = false
                else mouseMinusVolume.enabled = true
            }
        }
    }
    Timer{
        id: changeVolumeDec
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (soundVolume < 1) {
                volumeMinus.opacity = 1
                changeVolumeDec.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                soundVolume--
            }
        }
    }

    Timer{
        id: changeVolumeInc
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (soundVolume >= 10) {
                volumePlus.opacity = 1
                changeVolumeInc.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                soundVolume++
            }
        }
    }

    Image {
        id: radioButtonYes
        property bool checked: true
        source: vibration ? "qrc:/images/radio_button_checked.png" : "qrc:/images/radio_button_unchecked.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 185
        anchors.leftMargin: 190

        MouseArea{
            id: mouseRadioButtonYes
            anchors.left: radioButtonYes.left
            anchors.top: radioButtonYes.top
            height: radioButtonYes.height
            width: radioButtonYes.width + radioButtonTextYes.width
            onPressed: imageSelectYes.visible = true
            onReleased: imageSelectYes.visible = false
            onClicked: {
                radioButtonYes.checked = true
                radioButtonNo.checked = false
                vibration = true
                onSaveSettings()
                if (vibration) shortFeedback.start()
            }
        }
    }

    Image {
        id: imageSelectYes
        visible: false
        source: "qrc:/images/radio_button_select.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 182
        anchors.leftMargin: 186
        z:radioButtonYes.z+1
    }

    Text {
        id: radioButtonTextYes
        text: yesString
        color: "white"
        anchors.left: radioButtonYes.right
        anchors.leftMargin: 5
        anchors.top: radioButtonYes.top
        anchors.topMargin: 0
        font.pixelSize: 25
    }

    Image {
        id: radioButtonNo
        property bool checked: false
        source: !vibration ? "qrc:/images/radio_button_checked.png" : "qrc:/images/radio_button_unchecked.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 185
        anchors.leftMargin: 280
        MouseArea{
            id: mouseRadioButtonNo
            anchors.left: radioButtonNo.left
            anchors.top: radioButtonNo.top
            height: radioButtonNo.height
            width: radioButtonNo.width + radioButtonTextNo.width
            onPressed: imageSelectNo.visible = true
            onReleased: imageSelectNo.visible = false
            onClicked: {
                radioButtonYes.checked = false
                radioButtonNo.checked = true
                if (vibration) shortFeedback.start()
                vibration = false
                onSaveSettings()
            }
        }
    }

    Image {
        id: imageSelectNo
        visible: false
        source: "qrc:/images/radio_button_select.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 182
        anchors.leftMargin: 276
        z:radioButtonNo.z+1
    }

    Text {
        id: radioButtonTextNo
        text: noString
        color: "white"
        anchors.left: radioButtonNo.right
        anchors.leftMargin: 5
        anchors.top: radioButtonNo.top
        anchors.topMargin: 0
        font.pixelSize: 25
    }

    Text{
        id: textVibrate
        text: vibrateString
        anchors.right: radioButtonYes.left
        anchors.rightMargin: 20
        anchors.top: radioButtonYes.top
        anchors.topMargin:0
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Text{
        id: textSounds
        text: soundsString
        anchors.right: soundsBorder.left
        anchors.rightMargin: 20
        anchors.top: soundsBorder.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image{
        id: soundsBorder
        source: "qrc:/images/laps_backgorund_border.png"
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 240
        anchors.leftMargin: 190
        MouseArea{
            id: mouseSounds
            anchors.fill: parent
            onClicked: selectSound.visible = true
        }

        Text{
            id: textDefault
            text: soundFileName=="" ? defaultString : soundFileName
            color: "white"
            anchors.centerIn: parent
            elide: Text.ElideRight
            width: parent.width - 10
            font.pixelSize: 25
        }
    }

    SelectSound{
        id: selectSound
    }

    SelectLanguage{
        id: selectLanguage
    }
}
