// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0

Rectangle {
    id: rectSelectLanguage
    color: "transparent"
    anchors.fill: parent
    visible: false

    MouseArea{
        id: mouseSelectLanguage
        anchors.fill: parent
        z:1
        onClicked: rectSelectLanguage.visible = false
    }

    Rectangle{
        id: selectBackground
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 23
        anchors.leftMargin: 195
        color: "black"
        border.color: "green"
        border.width: 2
        radius: 5
        height: 200
        width: 212
        z:2
        Rectangle{
            id: rectEnglish
            anchors.top: parent.top
            anchors.left: parent.left
            width: parent.width
            height: parent.height/4
            color: "transparent"
            radius: 20
            Text{
                id: textEnglish
                text: "English"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseEnglish
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    language = "English"
                    if (vibration) shortFeedback.start()
                    onSaveSettings()
                    rectSelectLanguage.visible = false
                    setLanguage()
                    console.log("english selected")
                }
            }
        }
        Rectangle{
            id: rectDeutsch
            anchors.top: rectEnglish.bottom
            anchors.left: parent.left
            width: parent.width
            height: parent.height/4
            color: "transparent"
            radius: 20
            Text{
                id: textDeutsch
                text: "Deutsch"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseDeutsch
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    language = "Deutsch"
                    if (vibration) shortFeedback.start()
                    onSaveSettings()
                    rectSelectLanguage.visible = false
                    setLanguage()
                    console.log("deutsch selected")
                }
            }
        }
        Rectangle{
            id: rectSlovak
            anchors.top: rectDeutsch.bottom
            anchors.left: parent.left
            width: parent.width
            height: parent.height/4
            color: "transparent"
            radius: 20
            Text{
                id: textSlovak
                text: "Slovenčina"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseSlovak
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    language = "Slovenčina"
                    if (vibration) shortFeedback.start()
                    onSaveSettings()
                    rectSelectLanguage.visible = false
                    setLanguage()
                    console.log("slovak selected")
                }
            }
        }
        Rectangle{
            id: rectHun
            anchors.top: rectSlovak.bottom
            anchors.left: parent.left
            width: parent.width
            height: parent.height/4
            color: "transparent"
            radius: 20
            Text{
                id: textHun
                text: "Magyar"
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseHun
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    language = "Magyar"
                    if (vibration) shortFeedback.start()
                    onSaveSettings()
                    rectSelectLanguage.visible = false
                    setLanguage()
                    console.log("hungarian selected")
                }
            }
        }
    }
}
