// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import Qt.labs.folderlistmodel 1.0
import com.nokia.meego 1.0


Rectangle {
    id: rectSelectSound
    color: "transparent"
    anchors.fill: parent
    visible: false

    MouseArea{
        id: mouseSelectBackground
        anchors.fill: parent
        z:1
        onClicked: rectSelectSound.visible = false
    }

    Rectangle{
        id: selectBackground
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 150
        anchors.leftMargin: 195
        color: "black"
        border.color: "green"
        border.width: 2
        radius: 5
        height: 150
        width: 212
        z:2
        Rectangle{
            id: rectDefault
            anchors.top: parent.top
            anchors.left: parent.left
            width: parent.width
            height: parent.height/2
            color: "transparent"
            radius: 20
            Text{
                id: textDefault
                text: defaultString
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseDefault
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    soundPath = "alarm0.mp3"
                    soundFileName = ""
                    if (vibration) shortFeedback.start()
                    onSaveSettings()
                    soundStart.stop()
                    soundStart.source = soundPath
                    soundStart.autoLoad = soundPath
                    rectSelectSound.visible = false
                    console.log("default sound")
                }
            }
        }
        Rectangle{
            id: rectChoose
            anchors.top: rectDefault.bottom
            anchors.left: parent.left
            width: parent.width
            height: parent.height/2
            color: "transparent"
            radius: 20
            Text{
                id: textChoose
                text: chooseString
                color: "white"
                anchors.centerIn: parent
                font.pixelSize: 25
            }
            MouseArea{
                id: mouseChoose
                anchors.fill: parent
                z:2
                onPressed: {
                    parent.color = "white"
                    parent.opacity = 0.3
                }
                onReleased: {
                    parent.color = "transparent"
                    parent.opacity = 1
                }
                onClicked: {
                    //listView.visible = true
                    if (vibration) shortFeedback.start()
                    rectSelectSound.visible = false
                    //rectSelectSound.anchors.fill = parent
                    //openFile(titleString, soundsString)
                    openFileDialog.visible = true

                    console.log("choose sound")
                }
            }
        }
    }
}
