// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0

Rectangle {
    id: rectSelectTraining
    anchors.fill: parent
    visible: false

    function clearList()
    {
        trainingListMain.clear()
    }

    function addTraining(training_seconds,rest_seconds,laps)
    {
        trainingListMain.addTraining(training_seconds,rest_seconds,laps)
    }

    Image {
        id: selectBackground
        anchors.fill: parent
        source: "qrc:/images/background.png"
    }
    TrainingListMain{
        id: trainingListMain
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 100
        width: parent.width
        height: parent.height-210
    }

    Image{
        id: buttonBack
        source: "qrc:/images/button.png"
        anchors.left: parent.left
        anchors.leftMargin: (parent.width - buttonBack.width) / 2
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 35
        MouseArea{
            id: mouseBack
            anchors.fill: parent
            onPressed: parent.opacity = 0.7
            onReleased: parent.opacity = 1
            onClicked: {
                if (vibration) shortFeedback.start()
                showMain()
            }
        }
        Text{
            id: textBack
            text: backString
            anchors.centerIn: parent
            font.pixelSize: 25
            font.bold: true
            font.family: "Arial"
            color: "black"
        }
    }
}
