// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Page{
    anchors.fill: parent

Rectangle {
    id: rectSplashScreen
    anchors.fill: parent
    color: "transparent"


    Image {
        id: splashBackground
        source: "qrc:/images/splash_screen.png"
        anchors.fill: parent
    }

    Timer{
        id: timerSplash
        interval: 3500
        running: true
        onTriggered: {
            if (loaded) {
                titleMain.visible = true
                rectSplashScreen.visible = false
            }
            splashOff = true
        }
        repeat: false
    }

    Timer{
        id: timerLoad
        running: true
        interval: 1
        onTriggered: {
            getSettings()
            getTrainings()
        }
        repeat: false
    }

    Image{
        id: busyWheel
        source: "qrc:/images/busy_indicator.png"
        anchors.top: parent.top
        anchors.topMargin: 390
        anchors.left: parent.left
        anchors.leftMargin: parent.width/2-busyWheel.width/2
        z:2
        visible: true
        NumberAnimation on rotation { running: true; from: 0; to: 360; loops: Animation.Infinite; duration: 1200 }
    }

}
}
