// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

/*function setLapsCount(){
    textLapsCount.text = count
}*/
Page{
    anchors.fill: parent
   /* .top: parent.top
        anchors.left:  parent.left
        height: 854
        width: 480*/
    property int mainTraining_sec: 0
    property int mainRest_sec: 0
    property int mainLaps: 0

    //property string debugT: "nothing"

    visible: false

    function refreshList(mainlist){
        var trainings = training_list.split(";")
        console.log("train length:"+trainings.length)
        selectTrainingMain.clearList()
        if (!mainlist) setupScreen.clearList()
        if (trainings.length < 3) {
            mainTraining_sec = 0
            mainRest_sec = 0
            mainLaps = 0
            lapsBack.opacity = 0.5
            lapsBack.enabled = false
            startIcon.opacity = 0.5
            startIcon.enabled = false
            return
        }
        lapsBack.opacity = 1
        lapsBack.enabled = true
        startIcon.opacity = 1
        startIcon.enabled = true
        for (var i = 0; i < trainings.length;i+=3)
        {
            selectTrainingMain.addTraining(trainings[i],trainings[i+1],trainings[i+2])
            if (!mainlist) setupScreen.addTraining(trainings[i],trainings[i+1],trainings[i+2])
            console.log("training "+i+ " t:"+trainings[i] + "r:"+trainings[i+1]+ "l:"+trainings[i+2])
        }
        if (!trainingRemoved)
        {
            mainTraining_sec = trainings[trainings.length-3]
            mainRest_sec = trainings[trainings.length-2]
            mainLaps = trainings[trainings.length-1]
        }
        else
        {
            mainTraining_sec = trainings[actualIndex*3]
            mainRest_sec = trainings[actualIndex*3+1]
            mainLaps = trainings[actualIndex*3+2]
        }
    }
Rectangle {
    id: rectTitle
    anchors.fill: parent
    color: "black"
    //onMainLapsChanged: lapsCount = mainLaps

    Image {
        id: mainBackgroud
        source: "qrc:/images/background.png"
        anchors.top:parent.top
        anchors.left: parent.left
        anchors.topMargin: 35
        //fillMode: Image.Stretch
    }

    Text{
        id: textTraining
        text: trainingString
        anchors.left: trainingBack.left
        anchors.leftMargin: 3
        anchors.bottom: trainingBack.top
        anchors.bottomMargin: 5
        font.pixelSize: 25
        color: "white"
        font.bold: true
    }

    /*Text{
        id: textDebug
        font.pixelSize: 70
        color: "red"
        anchors.centerIn: rectTitle
        text: soundStart.status
        z:10
    }
    Text{
        id: textDebug2
        font.pixelSize: 15
        color: "yellow"
        anchors.top: textDebug.bottom
        anchors.left: textDebug.left
        width: parent.width/2
        height: 300
        wrapMode: Text.WrapAnywhere
        text: debugT
        z: 10
    }*/

    Image {
        id: trainingBack
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: 160
        anchors.leftMargin: (parent.width - trainingBack.width)/2
        source: "qrc:/images/training_background.png"
        MouseArea{
            id: mouseTraining
            anchors.fill: parent
            onPressed: parent.opacity = 0.7
            onReleased: parent.opacity = 1
            onClicked: {
                if (vibration) shortFeedback.start()
                showSelectTraining();
            }
        }
        Text{
            id: trainingMinsText
            text: {
                var mins = (mainTraining_sec - (mainTraining_sec % 60)) / 60
                if (mins.toString().length < 2) {
                    return "0" + mins
                }
                else return mins
            }

            color: "white"
            width: 50
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: trainingBack.left
            anchors.leftMargin: 68
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: trainingTextSeparator
            text: ":"
            color: "white"
            width: 6
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: trainingMinsText.right
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: trainingSecText
            text: {
                var seconds = mainTraining_sec % 60
                if (seconds.toString().length < 2) {
                    return "0" + seconds
                }
                else return seconds
            }

            color: "white"
            width: 50
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: trainingTextSeparator.right
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: restMinsText
            text: {
                var mins = (mainRest_sec - (mainRest_sec % 60)) / 60
                if (mins.toString().length < 2) {
                    return "0" + mins
                }
                else return mins
            }

            color: "white"
            width: 50
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: trainingBack.left
            anchors.leftMargin: 230
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: restTextSeparator
            text: ":"
            color: "white"
            width: 6
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: restMinsText.right
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: restSecText
            text: {
                var seconds = mainRest_sec % 60
                if (seconds.toString().length < 2) {
                    return "0" + seconds
                }
                else return seconds
            }

            color: "white"
            width: 50
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: restTextSeparator.right
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: lapsText
            text: {
                var lap = mainLaps
                if (lap < 10) {
                    if (lap.toString() == "-1") return "∞"
                    else return "0" + mainLaps
                }
                else return mainLaps
            }
            color: "white"
            width: 50
            height: trainingBack.height
            anchors.top: trainingBack.top
            anchors.topMargin: 13
            anchors.left: parent.left
            anchors.leftMargin:360
            font.pixelSize: 35
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }
    }

    /*Image {
        id: startStopBack
        source: "qrc:/images/circle_background.png"
        anchors.right: parent.right
        anchors.bottom: parent.bottom
    }*/

    Text{
        id: textLaps
        text: lapsString
        anchors.right: lapsBack.left
        anchors.rightMargin: 10
        anchors.top: lapsBack.top
        anchors.topMargin: 14
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image {
        id: lapsBack
        source: "qrc:/images/laps_backgorund.png"
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: (parent.width - lapsBack.width)/2
        anchors.topMargin: 250
        Image {
            id: lapsBorded
            source: "qrc:/images/laps_backgorund_border.png"
            anchors.fill: parent
            z:lapsBack.z+1
        }
        Image{
            id: lapsPlus
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            MouseArea{
                id: mousePlus
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    changeLapsInc.stop()
                    parent.opacity = 1
                }
                onPressAndHold: changeLapsInc.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (mainLaps !== -1) mainLaps++
                    else mainLaps = 1
                }

            }
        }
        Image{
            id: lapsMinus
            source: "qrc:/images/laps_minus_radius.png"
            anchors.left: parent.left
            anchors.top: parent.top
            MouseArea{
                id: mouseMinus
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    changeLapsDec.stop()
                    parent.opacity = 1
                }
                onPressAndHold: changeLapsDec.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (mainLaps > 1) mainLaps--
                    else mainLaps = -1

                }
            }
        }
        Text {
            id: textLapsCount
            text: {
                if (mainLaps !== -1) {
                    font.pixelSize = 30
                    return mainLaps
                }
                else {
                    font.pixelSize = 50
                    return "∞"
                }
            }
            anchors.centerIn: parent
            color: "white"
            //font.pixelSize: 30
            onTextChanged: {
                if (mainLaps >= 99) mousePlus.enabled = false
                else mousePlus.enabled = true

                if (mainLaps < 1) {
                    mouseMinus.enabled = false
                }
                else mouseMinus.enabled = true
            }
        }
    }

    Timer{
        id: changeLapsDec
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (mainLaps < 1) {
                lapsMinus.opacity = 1
                mainLaps = -1
                changeLapsDec.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (mainLaps > 1) mainLaps--
                else mainLaps = -1
            }
        }
    }

    Timer{
        id: changeLapsInc
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (mainLaps >= 99) {
                lapsPlus.opacity = 1
                changeLapsInc.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (mainLaps !== -1) mainLaps++
                else mainLaps = 1
            }
        }
    }

    Image{
        id: buttonSetup
        source: "qrc:/images/button.png"
        anchors.left: parent.left
        anchors.leftMargin: (parent.width/2 - width - 15)
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 35
        MouseArea{
            id: mouseSetup
            anchors.fill: parent
            onPressed: parent.opacity = 0.7
            onReleased: parent.opacity = 1
            onClicked: {
                //rectTitle.opacity = 0.2
                //openFile()
                if (vibration) shortFeedback.start()
                showSetup()
            }
        }
        Text{
            id: textSetup
            text: setupString
            font.bold: true
            anchors.centerIn: parent
            font.pixelSize: 25
            font.family: "Arial"
            color: "black"
        }
    }

    Image{
        id: buttonExit
        source: "qrc:/images/button.png"
        anchors.left: parent.left
        anchors.leftMargin: (parent.width/2 + 15)
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 35
        MouseArea{
            id: mouseExit
            anchors.fill: parent
            onPressed: parent.opacity = 0.7
            onReleased: parent.opacity = 1
            onClicked: {
                if (vibration) shortFeedback.start()
                Qt.quit()
            }
        }
        Text{
            id: textExit
            text: exitString
            anchors.centerIn: parent
            font.pixelSize: 25
            font.bold: true
            font.family: "Arial"
            color: "black"
        }
    }

    Image {
        id: startIcon
        source: "qrc:/images/start_icon.png"
        anchors.top: parent.top
        anchors.topMargin: 360
        anchors.left: parent.left
        anchors.leftMargin: (parent.width - startIcon.width)/2
        enabled: {return training_list.length}
        opacity: training_list.length < 2 ? 0.5 : 1
        MouseArea{
            id: mouseStart
            onPressed: parent.opacity = 0.7
            onReleased: parent.opacity = 1
            anchors.fill: parent
            onClicked: {
                if (vibration) longFeedback.start()
                soundStart.play()
                trainingStart.currentLap = 1
                startTimer(mainTraining_sec,mainRest_sec,mainLaps)
            }
        }
    }

}
}
