// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0

Rectangle {
    id: rectTrainingAdd
    anchors.fill: parent
    color: "transparent"

    function removeTraining(ind)
    {
        trainingList.removeTraining(ind)
    }

    function addTraining(training, rest, laps)
    {
        trainingList.addTraining(training, rest, laps)
        trainingList.saveTrainingsList()
    }

    function updateTraining(training, rest, laps, ind)
    {
        trainingList.updateTraining(training, rest, laps, ind)
        trainingList.saveTrainingsList()
    }

    function clearList()
    {
        trainingList.clear()
    }

    TrainingListView{
        id: trainingList
        anchors.top: addTrainingBorder.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        width: parent.width - 7
        anchors.leftMargin: 3
        height: 330
    }

    Image{
        id: addTrainingBorder
        source: "qrc:/images/add_training_border.png"
        anchors.left: parent.left
        anchors.leftMargin: (parent.width-addTrainingBorder.width)/2
        anchors.top: parent.top
        anchors.topMargin: 20
        //z: trainingAdd.z+1
        Image{
            id: trainingAdd
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            z:addTrainingBorder.z -1
            MouseArea{
                id: mouseAddTraining
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: parent.opacity = 1
                onClicked: {
                    if (vibration) shortFeedback.start()
                    newTraining = true
                    editTrainingScreen.rest_seconds = 5
                    editTrainingScreen.train_seconds = 5
                    editTrainingScreen.lapsCountNew = 1
                    rectSetup.state = "editTraining"
                }
            }
        }
        Text{
            id: textAddTraining
            text: addTrainingString
            color: "white"
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: parent.top
            anchors.topMargin: 15
            width: parent.width - trainingAdd.width - 10
            font.pixelSize: 25
            horizontalAlignment: Text.AlignHCenter

        }
    }
}
