// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0

Rectangle {
    id: rectEditTraining
    anchors.fill: parent
    color: "transparent"
    property int train_seconds: 0
    property int rest_seconds: 0
    property int lapsCountNew: 1
    //property int lapsCountEdit: 1

    Text{
        id: textTraining
        text: trainingString
        anchors.right: setTrainingMinBorder.left
        anchors.rightMargin: 20
        anchors.top: setTrainingMinBorder.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image{
        id: setTrainingMinBorder
        source: "qrc:/images/add_training_border.png"
        anchors.left: parent.left
        anchors.leftMargin: 140
        anchors.top: parent.top
        anchors.topMargin: 40
        //z: trainingAdd.z+1
        Image{
            id: trainingAddMins
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            z:setTrainingMinBorder.z -1
            MouseArea{
                id: mouseAddTrainingMins
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    incTimeTrain.stop()
                    parent.opacity = 1
                }
                onPressAndHold: incTimeTrain.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (train_seconds == 5) train_seconds += 5
                    else if (train_seconds < 5989) train_seconds += 10
                    console.log("add mins")
                }
            }
        }

        Image{
            id: trainingDecMins
            source: "qrc:/images/laps_minus_radius.png"
            anchors.left: parent.left
            anchors.top: parent.top
            z:setTrainingMinBorder.z -1
            MouseArea{
                id: mouseDecTrainingMins
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    decTimeTrain.stop()
                    parent.opacity = 1
                }
                onPressAndHold: decTimeTrain.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (train_seconds > 10) train_seconds -= 10
                    else if (train_seconds > 5) train_seconds -= 5
                    console.log("dec mins")
                }
            }
        }

        Text{
            id: trainingMinsText
            text: {
                var mins = (train_seconds - (train_seconds % 60)) / 60
                if (mins.toString().length < 2) {
                    return "0" + mins
                }
                else return mins
            }

            color: "white"
            width: 40
            //height: icon.height
            anchors.right: trainingTextSeparator.left
            anchors.top: setTrainingMinBorder.top
            anchors.topMargin: 5
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: trainingTextSeparator
            text: ":"
            color: "white"
            width: 10
            //height: icon.height
            anchors.left: setTrainingMinBorder.left
            anchors.leftMargin: (parent.width - trainingTextSeparator.width) / 2
            anchors.top: setTrainingMinBorder.top
            anchors.topMargin: 5
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: trainingSecText
            text: {
                var seconds = train_seconds % 60
                if (seconds.toString().length < 2) {
                    return "0" + seconds
                }
                else return seconds
            }

            color: "white"
            width: 40
            //height: icon .height
            anchors.top: setTrainingMinBorder.top
            anchors.topMargin: 5
            anchors.left: trainingTextSeparator.right
            anchors.leftMargin:0
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Timer{
        id: incTimeTrain
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (train_seconds > 5989) {
                trainingAddMins.opacity = 1
                incTimeTrain.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (train_seconds == 5) train_seconds += 5
                else train_seconds += 10
            }
        }
    }

    Timer{
        id: decTimeTrain
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (train_seconds == 5) {
                trainingDecMins.opacity = 1
                decTimeTrain.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (train_seconds == 10) train_seconds -= 5
                else train_seconds -= 10
            }
        }
    }

    Text{
        id: textRest
        text: restString
        anchors.right: setRestMinBorder.left
        anchors.rightMargin: 20
        anchors.top: setRestMinBorder.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image{
        id: setRestMinBorder
        source: "qrc:/images/add_training_border.png"
        anchors.left: parent.left
        anchors.leftMargin: 140
        anchors.top: parent.top
        anchors.topMargin: 120
        //z: trainingAdd.z+1
        Image{
            id: restAddMins
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            z:setRestMinBorder.z -1
            MouseArea{
                id: mouseAddRestMins
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    incTimeRest.stop()
                    parent.opacity = 1
                }
                onPressAndHold: incTimeRest.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (rest_seconds == 5) rest_seconds += 5
                    else if (rest_seconds < 5989) rest_seconds += 10
                    console.log("add mins rest")
                }
            }
        }

        Image{
            id: restDecMins
            source: "qrc:/images/laps_minus_radius.png"
            anchors.left: parent.left
            anchors.top: parent.top
            z:setRestMinBorder.z -1
            MouseArea{
                id: mouseDecRestMins
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    decTimeRest.stop()
                    parent.opacity = 1
                }
                onPressAndHold: decTimeRest.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (rest_seconds > 10) rest_seconds -= 10
                    else if (rest_seconds > 5) rest_seconds -= 5
                    console.log("dec mins rest")
                }
            }
        }

        Text{
            id: restMinsText
            text: {
                var mins = (rest_seconds - (rest_seconds % 60)) / 60
                if (mins.toString().length < 2) {
                    return "0" + mins
                }
                else return mins
            }

            color: "white"
            width: 40
            //height: icon.height
            anchors.right: restTextSeparator.left
            anchors.top: setRestMinBorder.top
            anchors.topMargin: 5
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: restTextSeparator
            text: ":"
            color: "white"
            width: 10
            //height: icon.height
            anchors.left: setRestMinBorder.left
            anchors.leftMargin: (parent.width - restTextSeparator.width) / 2
            anchors.top: setRestMinBorder.top
            anchors.topMargin: 5
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        Text{
            id: restSecText
            text: {
                var seconds = rest_seconds % 60
                if (seconds.toString().length < 2) {
                    return "0" + seconds
                }
                else return seconds
            }

            color: "white"
            width: 40
            //height: icon .height
            anchors.top: setRestMinBorder.top
            anchors.topMargin: 5
            anchors.left: restTextSeparator.right
            anchors.leftMargin:0
            font.pixelSize: 30
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Timer{
        id: incTimeRest
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (rest_seconds > 5989) {
                restAddMins.opacity = 1
                incTimeRest.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (rest_seconds >= 10) rest_seconds += 10
                else rest_seconds += 5
            }
        }
    }

    Timer{
        id: decTimeRest
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (rest_seconds == 5) {
                restDecMins.opacity = 1
                decTimeRest.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (rest_seconds !== 10) rest_seconds -= 10
                else rest_seconds -= 5
            }
        }
    }

    Text{
        id: textLaps
        text: lapsString
        anchors.right: lapsBack.left
        anchors.rightMargin: 20
        anchors.top: lapsBack.top
        anchors.topMargin: 15
        font.pixelSize: 25
        color: "white"
        //font.bold: true
    }

    Image {
        id: lapsBack
        source: "qrc:/images/laps_backgorund_border.png"
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: 140
        anchors.topMargin: 200
        Image {
            id: lapsBorded
            source: "qrc:/images/laps_backgorund_border.png"
            anchors.fill: parent
            z:lapsBack.z+1
        }
        Image{
            id: lapsPlus
            source: "qrc:/images/laps_plus_radius.png"
            anchors.right: parent.right
            anchors.top: parent.top
            MouseArea{
                id: mousePlus
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    changeLapsInc.stop()
                    parent.opacity = 1
                    //console.log(Qt.fontFamilies())
                }
                onPressAndHold: changeLapsInc.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (lapsCountNew !== -1) lapsCountNew++
                    else lapsCountNew = 1
                }

            }
        }
        Image{
            id: lapsMinus
            source: "qrc:/images/laps_minus_radius.png"
            anchors.left: parent.left
            anchors.top: parent.top
            MouseArea{
                id: mouseMinus
                anchors.fill: parent
                onPressed: parent.opacity = 0.7
                onReleased: {
                    changeLapsDec.stop()
                    parent.opacity = 1
                }
                onPressAndHold: changeLapsDec.start()
                onClicked: {
                    if (vibration) shortFeedback.start()
                    if (lapsCountNew > 1) lapsCountNew--
                    else lapsCountNew = -1
                }
            }
        }
        Text {
            id: textLapsCount
            text: {
                if (lapsCountNew !== -1) {
                    font.pixelSize = 30
                    return lapsCountNew
                }
                else {
                    font.pixelSize = 50
                    return "∞"
                }
            }
            anchors.centerIn: parent
            color: "white"
            font.bold: true
            font.pixelSize: 30
            onTextChanged: {
                //console.debug(lapsCountNew)
                if (lapsCountNew >= 99) mousePlus.enabled = false
                else mousePlus.enabled = true

                if (lapsCountNew < 1) mouseMinus.enabled = false
                else mouseMinus.enabled = true
            }
        }
    }

    Timer{
        id: changeLapsDec
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (lapsCountNew < 1) {
                lapsMinus.opacity = 1
                lapsCountNew = -1
                changeLapsDec.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (lapsCountNew > 1) lapsCountNew--
                else lapsCountNew = -1
            }
        }
    }

    Timer{
        id: changeLapsInc
        interval: 100
        repeat: true
        triggeredOnStart: true
        onTriggered: {
            if (lapsCountNew >= 99) {
                lapsPlus.opacity = 1
                changeLapsInc.stop()
            }
            else {
                if (vibration) shortFeedback.start()
                if (lapsCountNew !== -1) lapsCountNew++
                else lapsCountNew = 1
            }
        }
    }

}
