import QtQuick 1.0

Rectangle {
    id: container
    color: "transparent"
    clip: true;

    function clear()
    {
        trainingModel.clear();
    }

    function addTraining(training_seconds,rest_seconds,laps)
    {
        trainingModel.append({
                 "training_sec": training_seconds,
                 "rest_sec": rest_seconds,
                 "laps": laps
            })
        listView.currentIndex = -1
    }

    function isEmpty()
    {
        return !listView.count
    }

    // The model:
    ListModel {
        id: trainingModel
        /*ListElement {
            training_sec: 5
            rest_sec: 5
            laps: 3
        }
        ListElement {
            training_sec: 350
            rest_sec: 100
            laps: 9
        }
        ListElement {
            training_sec: 680
            rest_sec: 200
            laps: 15
        }
        ListElement {
            training_sec: 50
            rest_sec: 300
            laps: 39
        }
        ListElement {
            training_sec: 50
            rest_sec: 400
            laps: 10
        }*/
    }

    Component {
        id: listDelegate

        Item {
            id: delegateItem
            width: listView.width;
            height: 70

            MouseArea{
                id: itemClick
                anchors.fill: parent

                onClicked: {
                    //listView.currentIndex = index
                    setTimer(training_sec,rest_sec,laps)
                    if (vibration) shortFeedback.start()
                    showMain()
                    actualIndex = index
                    console.log("training clicked");
                }

                onPressed: {
                    listView.currentIndex = index
                }
                onCanceled: listView.currentIndex = -1
                onReleased: listView.currentIndex = -1
            }
            //Column{
            Item{
                id: icon
                width: trainingListBorder.width
                anchors.centerIn: parent
                /*anchors.top: delegateItem.top
                anchors.topMargin: 30
                anchors.left: parent.left
                anchors.leftMargin: (parent.width - icon.width)/2*/
                //height: parent.height

                Image{
                    id: trainingListBorder
                    anchors.centerIn: parent
                    source: "qrc:/images/training_background.png"
                }

                Text{
                    id: trainingMinsText
                    text: {
                        var mins = (training_sec - (training_sec % 60)) / 60
                        if (mins.toString().length < 2) {
                            return "0" + mins
                        }
                        else return mins
                    }

                    color: "white"
                    width: 50
                    height: icon.height
                    anchors.top: icon.top
                    anchors.topMargin: -20
                    anchors.left: icon.left
                    anchors.leftMargin: 68
                    font.pixelSize: 35
                    font.bold: true
                    horizontalAlignment: Text.AlignHCenter
                }

                Text{
                    id: trainingTextSeparator
                    text: ":"
                    color: "white"
                    width: 6
                    height: icon.height
                    anchors.top: icon.top
                    anchors.topMargin: -20
                    anchors.left: trainingMinsText.right
                    font.pixelSize: 35
                    font.bold: true
                    horizontalAlignment: Text.AlignHCenter
                }

                Text{
                    id: trainingSecText
                    text: {
                        var seconds = training_sec % 60
                        if (seconds.toString().length < 2) {
                            return "0" + seconds
                        }
                        else return seconds
                    }

                    color: "white"
                    width: 50
                    height: icon.height
                    anchors.top: icon.top
                    anchors.topMargin: -20
                    anchors.left: trainingTextSeparator.right
                    font.pixelSize: 35
                    font.bold: true
                    horizontalAlignment: Text.AlignHCenter
                }
            }

            Text{
                id: restMinsText
                text: {
                    var mins = (rest_sec - (rest_sec % 60)) / 60
                    if (mins.toString().length < 2) {
                        return "0" + mins
                    }
                    else return mins
                }

                color: "white"
                width:  50
                height: icon.height
                anchors.top: icon.top
                anchors.topMargin: -20
                anchors.left: icon.left
                anchors.leftMargin: 225
                font.pixelSize: 35
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
            }

            Text{
                id: restTextSeparator
                text: ":"
                color: "white"
                width: 6
                height: icon.height
                anchors.top: icon.top
                anchors.topMargin: -20
                anchors.left: restMinsText.right
                font.pixelSize: 35
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
            }

            Text{
                id: restSecText
                text: {
                    var seconds = rest_sec % 60
                    if (seconds.toString().length < 2) {
                        return "0" + seconds
                    }
                    else return seconds
                }

                color: "white"
                width: 50
                height: icon.height
                anchors.top: icon.top
                anchors.topMargin: -20
                anchors.left: restTextSeparator.right
                anchors.leftMargin:2
                font.pixelSize: 35
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
            }

            Text{
                id: lapsText
                text: {
                    var lap = laps
                    if (lap < 10) {
                        if (lap.toString() === "-1") {
                            return "∞"
                        }
                        else return "0" + laps
                    }
                    else return laps
                }
                color: "white"
                width: 50
                height: icon.height
                anchors.top: icon.top
                anchors.topMargin: -17
                anchors.left: parent.left
                anchors.leftMargin:380
                font.pixelSize: 35
                font.bold: true
                horizontalAlignment: Text.AlignHCenter
            }

            // Animate adding and removing of items:

            /*ListView.onAdd: SequentialAnimation {
                PropertyAction { target: delegateItem; property: "height"; value: 0 }
                NumberAnimation { target: delegateItem; property: "height"; to: 55; duration: 250; easing.type: Easing.InOutQuad }
                //PropertyAction { target: listView; property: "currentIndex"; value: -1 }
            }*/

            /*ListView.onRemove: SequentialAnimation {
                id: removeAnimation
                PropertyAction { target: delegateItem; property: "ListView.delayRemove"; value: true }
                NumberAnimation { target: delegateItem; property: "height"; to: 0; duration: 250; easing.type: Easing.InOutQuad }

                // Make sure delayRemove is set back to false so that the item can be destroyed
                PropertyAction { target: delegateItem; property: "ListView.delayRemove"; value: false }
            }*/
        }
    }

    property bool empty: false

    // The view:
    ListView {
        id: listView

        anchors.fill: parent; //anchors.margins: 20
        model: trainingModel
        delegate: listDelegate
        highlight: Rectangle{color: "#89d7ff"; opacity: 0.5; radius: 5}
        spacing: 0

        ScrollBar{
            flickable: listView
            vertical: true;
            hideScrollBarsWhenStopped: false
        }

    }
}

